en#!/bin/bash

#Define the directory of the ini. file
DIR=/opt/gsics/app-new/gsics-control/download_iasi_nc
cd $DIR




#read ini file
cfg="./iasi.ini"

http1=`nawk -F '=' '/\['HTTP'\]/{a=1}a==1&&$1~/^http1$/{print $2;exit}' $cfg | nawk 'gsub(/^ *| *$/,"")'`
http2=`nawk -F '=' '/\['HTTP'\]/{a=1}a==1&&$1~/^http2$/{print $2;exit}' $cfg | nawk 'gsub(/^ *| *$/,"")'`
proxy=`nawk -F '=' '/\['HTTP'\]/{a=1}a==1&&$1~/^http_proxy$/{print $2;exit}' $cfg | nawk 'gsub(/^ *| *$/,"")'`

localdir=`nawk -F '=' '/\['TREE'\]/{a=1}a==1&&$1~/^localdir1$/{print $2;exit}' $cfg | nawk 'gsub(/^ *| *$/,"")'`
tmpdir=`nawk -F '=' '/\['TREE'\]/{a=1}a==1&&$1~/^tmpdir$/{print $2;exit}' $cfg | nawk 'gsub(/^ *| *$/,"")'`

#define proxy，proxy information defined in ini. file, if the server has direct internet connection, skip proxy setting
export http_proxy=$proxy

echo $http1
echo $http2
echo $proxy
echo $localdir

echo $http_proxy

#process_name=`basename $0`
# grep -v grep 
#pnums=`ps -aef |grep -w $process_name |grep -v grep | wc -l`
#if [ $pnums -ge 3 ]; then
#    echo "process is running"
#    exit
#fi
rm -rf tmp.html tmp.txt 


#get web page
wget  $http1 -O tmp.html

#get file name
sed -e 's/<[^>]*>//g;/</N;//b' tmp.html | grep "MetOpA+IASI_C_EUMP" > tmp.txt

#write download url 

for line in `cat tmp.txt | sort`
do
   len=${#line}
   #echo $len
   newline=${line:0:len-1}
   echo  `date +"%Y-%m-%d %H:%M:%S"`: $newline >> log.txt 
   wget  -c -N -nd --tries=0 --timeout=600 --waitretry=10 \  #define retry and timeout 
   --directory-prefix=$localdir \   #local directory, define in ini file
   "$http2/$newline" #download url
 
done

